diff -r 5ed54c0259cc bash-completion
--- a/bash-completion	Tue Jul 17 11:19:01 2012 +0200
+++ b/bash-completion	Wed Jul 18 13:01:07 2012 +0100
@@ -39,21 +39,21 @@
 
     for (( i=0; i < ${#COMP_WORDS[@]}-1; i++ )); do
         if [[ ${COMP_WORDS[i]} == \
-         @(addcdrom|addrepo|autoalts|autoclean|autodownload|autoremove|build|
-         builddeps|changelog|clean|contents|dailyupgrade|dependents|describe|
-         describenew|details|distupgrade|download|editsources|extract|
-         fixconfigure|fixinstall|fixmissing|force|hold|info|init|install|
-         installsuggested|integrity|large|lastupdate|listalternatives|
-         listcache|listcommands|listdaemons|listfiles|listhold|listinstalled|
-         listnames|listpackages|listscripts|listsection|listsections|
-         liststatus|madison|move|new|newdetail|news|newupgrades|nonfree|
-         orphans|policy|purge|purgeorphans|purgeremoved|rbuilddeps|readme|
-         recdownload|recommended|reconfigure|reinstall|reload|remove|
-         removeorphans|repackage|reportbug|restart|rpm2deb|rpminstall|
-         search|searchapt|show|sizes|snapshot|source|start|status|statusmatch|
+         @(addcdrom|addrepo|auto-alts|auto-clean|auto-download|autoremove|build|
+         build-deps|changelog|clean|contents|daily-upgrade|dependents|describe|
+         describe-new|details|dist-upgrade|download|editsources|extract|
+         fix-configure|fix-install|fix-missing|force|hold|info|init|install|
+         install-suggested|integrity|large|lastupdate|list-alternatives|
+         list-cache|list-commands|list-daemons|list-files|list-hold|list-installed|
+         list-names|list-packages|list-scripts|list-section|list-sections|
+         list-status|madison|move|new|new-detail|news|new-upgrades|nonfree|
+         orphans|policy|purge|purge-orphans|purge-removed|rbuilddeps|readme|
+         rec-download|recommended|reconfigure|reinstall|reload|remove|
+         remove-orphans|repackage|reportbug|restart|rpm2deb|rpminstall|
+         search|searchapt|show|sizes|snapshot|source|start|status|status-match|
          stop|syslog|tasksel|todo|toupgrade|tutorial|unhold|unofficial|
-         update|updatealternatives|updatepciids|updateusbids|upgrade|
-         upgradesecurity|verify|versions|whichpackage) ]];
+         update|update-alternatives|update-pci-ids|update-usb-ids|upgrade|
+         upgrade-security|verify|versions|which-package) ]];
          then special=${COMP_WORDS[i]}
         fi
     done
@@ -95,22 +95,21 @@
     if [[ "$cur" == -* ]]; then
         COMPREPLY=( $( compgen -W "$dashoptions" -- "$cur" ) )
     elif [[ -z "$special" ]]; then
-        commands=(addcdrom addrepo autoalts autoclean autodownload autoremove
-            build builddeps changelog clean contents dailyupgrade dependents
-            describe describenew details distupgrade download editsources
-            extract fixconfigure fixinstall fixmissing force hold info init
-            install installsuggested integrity large lastupdate
-            listalternatives listcache listcommands listdaemons listfiles
-            listhold listinstalled listnames listpackages listscripts
-            listsection listsections liststatus
-            madison move new newdetail news newupgrades nonfree orphans
-            policy purge purgeorphans purgeremoved rbuilddeps readme
-            recdownload recommended reconfigure reinstall reload remove
-            removeorphans repackage reportbug restart rpm2deb rpminstall
-            search searchapt show sizes snapshot source start status
-            statusmatch stop syslog tasksel todo toupgrade tutorial unhold
-            unofficial update updatealternatives updatepciids updateusbids
-            upgrade upgradesecurity verify versions whichpackage)
+        commands=(addcdrom addrepo auto-alts auto-clean auto-download autoremove build 
+            build-deps changelog clean contents daily-upgrade dependents describe 
+            describe-new details dist-upgrade download editsources extract 
+            fix-configure fix-install fix-missing force hold info init install 
+            install-suggested integrity large lastupdate list-alternatives 
+            list-cache list-commands list-daemons list-files list-hold list-installed 
+            list-names list-packages list-scripts list-section list-sections 
+            list-status madison move new new-detail news new-upgrades nonfree 
+            orphans policy purge purge-orphans purge-removed rbuilddeps readme 
+            rec-download recommended reconfigure reinstall reload remove 
+            remove-orphans repackage reportbug restart rpm2deb rpminstall 
+            search searchapt show sizes snapshot source start status status-match 
+            stop syslog tasksel todo toupgrade tutorial unhold unofficial 
+            update update-alternatives update-pci-ids update-usb-ids upgrade 
+            upgrade-security verify versions which-package)
 
         local option oldNoCaseMatch=$(shopt -p nocasematch)
         shopt -s nocasematch
